Description

Hi,

When using puppet on German windows together with foreman (same machine is puppetmaster) there is an encoding bug.

Windows uses windows-1250 encoding, but foreman needs UTF-8 encoding.

As a result foreman doesn't show any facts about windows puppet clients.

In Germany there is a facter line:

Mitteleuropäische Zeit ....

Foreman does not like the "ä" inside this line.

Changing the "ä" to an "a" solves this problem.

Related issues:

Related to Foreman - Bug #3628: invalid byte-sequence for encoding utf8 when ... Resolved 11/12/2013

History

#1 - 03/30/2012 04:05 AM - Jan Ziegler

I already wrote with Ohad Levy and that's his opinion about it:

"it sounds to me like two different bugs:

1. facter does not verify that it gets the values in UTF8

2. foreman does not check that either.

imho, its best solved in 1, and as a workaround ,we can probably fix

it in 2 as well."

#2 - 02/14/2015 06:55 AM - Markus Frosch

- Related to Bug #3628: invalid byte-sequence for encoding utf8 when importing facts added

#3 - 02/14/2015 07:06 AM - Markus Frosch

See #3628 and PR https://github.com/theforeman/puppet-foreman/pull/274

#4 - 02/16/2015 03:32 AM - Dominic Cleal

- Status changed from New to Feedback

It'll be in Foreman 1.8.

#5 - 05/17/2017 10:22 AM - Anonymous

- Status changed from Feedback to Resolved
